Subject: [Megaco] Sending tones via the other subscriber's ephemeral

From: Raphael Tryster <[email-masked]>
Date: Sun, 5 May 2002 18:32:45 +0200

Is the following a realistic scenario?

Subscriber A in U.S.A. wishes to speak with subscriber B in Australia.  When
the connection is established (MGA creates EphA in the same context as PhyA,
and MGB creates EphB in the same context as PhyB) and B's phone is ringing,
the MGC controlling MGA sends a ringback signal to PhyA.  But this would be
an American ringback signal, and A wants to know he is calling Australia.
So instead, the MGC controlling MGB tells MGB to send ringback signal on
EphB.

Will this work, i.e. will subscriber A hear Australian ringback tone?  And
is it done in practice?

Raphael Tryster